import { OnInit, EventEmitter } from '@angular/core';
import { DeliveryOption, AlertPreference, LookupValue } from '../../services/preference/preference';
import { OnChanges } from '@angular/core/src/metadata/lifecycle_hooks';
export declare class AlertcardComponent implements OnInit, OnChanges {
    alertPref: AlertPreference;
    deliveryOptions: DeliveryOption[];
    externalParameters: object;
    save: EventEmitter<any>;
    active: boolean;
    parameters: object;
    deliverTo: number[];
    dropdownSettings: any;
    isDirty: boolean;
    deliveryOptionChanged(id: number): void;
    ngOnInit(): void;
    onItemSelect(item: any): void;
    OnItemDeSelect(item: any): void;
    onSelectAll(items: any): void;
    onDeSelectAll(items: any): void;
    ngOnChanges(): void;
    init(): void;
    findLookup(name: string): LookupValue[];
    statusChanged(): void;
    parameterChanged(): void;
    savePref(): void;
    cancelPref(): void;
}
