import { Component, Input, Output, EventEmitter } from '@angular/core';
var SliderComponent = /** @class */ (function () {
    function SliderComponent() {
        this.stateChange = new EventEmitter();
    }
    SliderComponent.prototype.ngOnInit = function () {
    };
    SliderComponent.prototype.toggleSlider = function () {
        this.state = !this.state;
        this.stateChange.emit(this.state);
    };
    SliderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'np-slider',
                    template: "\n    <div (click)=\"toggleSlider()\">\n        <div class=\"np-slider\" [ngClass]=\"{ 'np-slider-on': state, 'np-slider-off': !state }\">\n            <span class=\"np-slider-switch\"></span>\n          <span class=\"np-slider-on-value\">On</span>\n          <span class=\"np-slider-off-value\">Off</span>\n        </div>\n    </div>\n  ",
                    styles: ["\n    .np-slider{background-color:#999;width:80px;height:32px;border-radius:20px;position:relative;cursor:pointer}.np-slider.np-slider-on .np-slider-on-value{float:right;display:block}.np-slider.np-slider-on{background-color:#00710f}.np-slider.np-slider-on .np-slider-switch{left:3px}.np-slider.np-slider-off .np-slider-switch{left:51px}.np-slider .np-slider-switch{position:absolute;top:3px;width:26px;height:26px;border-radius:50%;-webkit-transition:all 100ms ease;transition:all 100ms ease;background-color:#fff}.np-slider .np-slider-off-value,.np-slider .np-slider-on-value{display:none;line-height:32px;font-weight:700;text-align:center;color:#fff;width:54px;height:32px}.np-slider.np-slider-off .np-slider-off-value{float:left;display:block}\n  "]
                },] },
    ];
    /** @nocollapse */
    SliderComponent.ctorParameters = function () { return []; };
    SliderComponent.propDecorators = {
        'state': [{ type: Input },],
        'stateChange': [{ type: Output },],
    };
    return SliderComponent;
}());
export { SliderComponent };
//# sourceMappingURL=slider.component.js.map