import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Customer, AlertPreference } from './preference';
export declare class PreferenceService {
    private http;
    constructor(http: HttpClient);
    getCustomer(clientId: string, token: string): Observable<Customer>;
    updateCustomer(customer: Customer): Observable<Customer>;
    saveAlertPreference(pref: AlertPreference, token: string): Observable<AlertPreference>;
}
